import { isAutheticated } from "../../auth.js";

const CityRevenueCharts = () => {
  const token = isAutheticated();

  return (
    <div className="w-80vw">
      {token ? (
        <iframe
        style={{
          background: "#F1F5F4",
          border: "none",
          borderRadius: "2px",
          boxShadow: "0 2px 10px 0 rgba(70, 76, 79, .2)",
          width: "80vw",
          height: "85vh",
        }}
        src="https://charts.mongodb.com/charts-smellica-hqyad/embed/dashboards?id=7447b4d9-2c23-4b85-aa8b-242097a6aafd&theme=light&autoRefresh=true&maxDataAge=3600&showTitleAndDesc=true&scalingWidth=scale&scalingHeight=scale"
      ></iframe>
      ) : (
        <h3>No charts available</h3>
      )}
    </div>
  );
};

export default CityRevenueCharts;